TYPO3 Core - Bug #69815

Filemount folder selection always shows directories of the first storage
2015-09-15 12:08 - Nicole Cordes

Status: Closed Start date: 2015-09-15
Priority: Should have Due date:

Assignee: Nicole Cordes % Done: 100%
Category: Estimated time: 0.00 hour
Target version: 7.5

TYPO3 Version: 7 Complexity:

PHP Version: Is Regression: No

Tags: Sprint Focus:

Description

Due to the FormEngine changes the database row has resolved properties and as the base field is a select box an array is returned.
We have to adjust the itemsProcFunc to get its information from the array instead expecting a string.

Associated revisions

Revision 4adbc635 - 2015-09-15 14:00 - Nicole Cordes
[BUGFIX] Adjust itemsProcFunc for sys_filemounts

Due to the changes of FormEngine the folder selection of filemount
records always show the folders from fileadmin. This patch adjust the
script to handle the incoming (already resolved) database information.

Resolves: #69815

Releases: master

Change-1d: 1395920088a32d39b4ffc46d768ef581c9cad2a8e
Reviewed-on: http:/review.typo3.org/43321

Reviewed-by: Michael Oehlhof <typo3@oehlhof.de>
Reviewed-by: Christian Kuhn <lolli@schwarzbu.ch>
Tested-by: Christian Kuhn <lolli@schwarzbu.ch>

Tested-by: Michael Oehlhof <typo3@oehlhof.de>
Reviewed-by: Wouter Wolters <typo3@wouterwolters.nl>
Tested-by: Wouter Wolters <typo3@wouterwolters.nl>

History

#1 - 2015-09-15 12:12 - Gerrit Code Review

- Status changed from New to Under Review

Patch set 1 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at http://review.typo3.0rg/43321

#2 - 2015-09-15 13:16 - Gerrit Code Review

Patch set 2 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at http://review.typo3.org/43321

#3 - 2015-09-15 14:04 - Nicole Cordes
- Status changed from Under Review to Resolved

- % Done changed from 0 to 100

Applied in changeset 4adbc6359375343927{6452d42a9b3cd8a3055b2.

#4 - 2016-01-08 11:13 - Anja Leichsenring
- Sprint Focus deleted (On Location Sprint)

#5 - 2017-10-19 21:47 - Riccardo De Contardi

- Status changed from Resolved to Closed
